summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorXavierCLL2015-06-13 00:25:35 -0500
committerXavierCLL2015-06-13 00:25:35 -0500
commit11ba3beb7effffa2fe2b6f0f2a0e761f81986fef (patch)
treecb2c400dddd4547878a9ad90d69af2feb0f9e41a /PKGBUILD
downloadaur-yadsync.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..32e47000971
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Xavier Corredor <xavier.corredor.llano (a) gmail.com>
+
+pkgname=yadsync
+pkgver=1.0
+pkgrel=2
+pkgdesc="YADSync (yet another directories sync, PyKDE/PyGTK GUI for rsync) is a simple tool to easy synchronize a set of directories."
+url="http://yadsync.le-web.org"
+license=('GPL')
+arch=('i686' 'x86_64')
+if [ `which gnome-session` ]; then
+ depends=('rsync' 'python2' 'pygtk')
+ _de=gnome
+elif [ `which kdeinit4` ]; then
+ depends=('rsync' 'python2')
+ _de=kde4
+else
+ return 1
+fi
+source=(http://yadsync.le-web.org/download/yadsync/yadsync-${pkgver}_src.tar.gz)
+md5sums=('39d20bf058c17aaa7545d12e41f840a5')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver/common
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ #fix version python
+ sed -i 's|python|python2|g' yadsync
+ make DESTDIR=${pkgdir} install || return 1
+
+ cd $startdir/src/$pkgname-$pkgver/$_de
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ #fix version python
+ sed -i 's|python|python2|g' yadsync-${_de}
+ make DESTDIR=${pkgdir} install
+
+}